org.eclipse.rdf4j.repository

## Class SparqlDatasetTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.SparqlDatasetTest

-     public abstract class SparqlDatasetTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `queryNoFrom`
    `String` | `queryWithFrom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparqlDatasetTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()`
    `protected abstract Repository` | `newRepository()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testNoFrom()`
    `void` | `testWithFrom()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryNoFrom

          public String queryNoFrom

    - #### queryWithFrom

          public String queryWithFrom

  - ### Constructor Detail

    - #### SparqlDatasetTest

          public SparqlDatasetTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### testNoFrom

          public void testNoFrom()
                          throws Exception

      Throws:
        `Exception`

    - #### testWithFrom

          public void testWithFrom()
                            throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.